ALCOREM v0.1.x
===========

Topics in this troubleshooting:

- **OSX problems when compiling**
---

### OSX problems when compiling

If you experienced a problem with OSX when compiling this code, one of the possible issue is related to this error:
"clang: error: unsupported option '-fopenmp'
 clang: error: unsupported option '-fopenmp'
 make: *** [compute_complexity] Error 1"

This issue is related to a clash between clang and openmpi.

A possible workaround is through brew, updating gcc:
```
brew install gcc
```
If you then compile the code with the makefile using `gcc-8` instead of `gcc`, it should work. Just modify the Makefile as:
```
"CC=gcc" -> "CC=gcc-8"
```

If the previous workaround does not work, then try to compile the code in a different way. Remove the option "-fopenmp" inside the Makefile, then modify the environment variable CC in this way:
```
"CC=gcc" -> "CC=clang -Xpreprocessor -fopenmp -I/usr/local/include -L/usr/local/lib -lomp"
```
